org.apache.ode.ql.jcc

## Interface QLParserConstants

- All Known Implementing Classes:
    Parser, QLParserTokenManager

      public interface QLParserConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AND`
    `static int` | `DEFAULT`
    `static int` | `DIGIT`
    `static int` | `EOF`
    `static int` | `EQUAL`
    `static int` | `FIELD`
    `static int` | `GE`
    `static int` | `GREATER`
    `static int` | `IN`
    `static int` | `LE`
    `static int` | `LESS`
    `static int` | `LETTER`
    `static int` | `LIKE`
    `static int` | `LIMIT`
    `static int` | `NAMESPACE`
    `static int` | `NUMBER`
    `static int` | `OR`
    `static int` | `ORDER_BY`
    `static int` | `ORDER_TYPE`
    `static int` | `PARAMETER_CHAR`
    `static int` | `PROPERTY`
    `static int` | `QNAME_NAME`
    `static int` | `SPEC_CHAR`
    `static java.lang.String[]` | `tokenImage`
    `static int` | `VALUE`
    `static int` | `WHITESPACE`

- - ### Field Detail

    - #### EOF

          static final int EOF

      See Also:
        Constant Field Values

    - #### LESS

          static final int LESS

      See Also:
        Constant Field Values

    - #### GREATER

          static final int GREATER

      See Also:
        Constant Field Values

    - #### LE

          static final int LE

      See Also:
        Constant Field Values

    - #### GE

          static final int GE

      See Also:
        Constant Field Values

    - #### IN

          static final int IN

      See Also:
        Constant Field Values

    - #### LIKE

          static final int LIKE

      See Also:
        Constant Field Values

    - #### AND

          static final int AND

      See Also:
        Constant Field Values

    - #### OR

          static final int OR

      See Also:
        Constant Field Values

    - #### EQUAL

          static final int EQUAL

      See Also:
        Constant Field Values

    - #### ORDER_BY

          static final int ORDER_BY

      See Also:
        Constant Field Values

    - #### ORDER_TYPE

          static final int ORDER_TYPE

      See Also:
        Constant Field Values

    - #### PARAMETER_CHAR

          static final int PARAMETER_CHAR

      See Also:
        Constant Field Values

    - #### LIMIT

          static final int LIMIT

      See Also:
        Constant Field Values

    - #### NUMBER

          static final int NUMBER

      See Also:
        Constant Field Values

    - #### PROPERTY

          static final int PROPERTY

      See Also:
        Constant Field Values

    - #### NAMESPACE

          static final int NAMESPACE

      See Also:
        Constant Field Values

    - #### QNAME_NAME

          static final int QNAME_NAME

      See Also:
        Constant Field Values

    - #### FIELD

          static final int FIELD

      See Also:
        Constant Field Values

    - #### VALUE

          static final int VALUE

      See Also:
        Constant Field Values

    - #### LETTER

          static final int LETTER

      See Also:
        Constant Field Values

    - #### SPEC_CHAR

          static final int SPEC_CHAR

      See Also:
        Constant Field Values

    - #### DIGIT

          static final int DIGIT

      See Also:
        Constant Field Values

    - #### WHITESPACE

          static final int WHITESPACE

      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      See Also:
        Constant Field Values

    - #### tokenImage

          static final java.lang.String[] tokenImage